# claim\_interface\_fee

An entrypoint that allows users to claim their interface (referral) fee. Will claim all available fee. Supports only withdrawing of FA1.2 or FA2 tokens. To withdraw TEZ tokens use [***claim\_interface\_tez\_fee***](/smart-contracts/dex-2.0/dexcore-contract/entrypoints-overview/dex-entrypoints/claim_interface_tez_fee.md) entrypoint.

### Call parameters

```pascaligo
type tez_t              is unit

type fa12_token_t       is address

type fa2_token_t        is [@layout:comb] record [
  token                   : address;
  id                      : nat;
]

type token_t            is
| Tez                     of tez_t
| Fa12                    of fa12_token_t
| Fa2                     of fa2_token_t

type claim_fee_t        is [@layout:comb] record [
  token                   : token_t;
  receiver                : address;
]
```

<table><thead><tr><th>Field</th><th width="150">Type</th><th>Description</th></tr></thead><tbody><tr><td>token</td><td>token_t</td><td>FA1.2/FA2 token</td></tr><tr><td>receiver</td><td>address</td><td>Receiver of withdrawn tokens</td></tr></tbody></table>

### Usage

{% tabs %}
{% tab title="🌮 Taquito" %}

```javascript
const dexCoreAddress = "KT1...";
const parmas = {
    token: {
        fa2: {
            token: "KT1...",
            id: 0,
        },
    },
    receiver: "tz1.../KT1...",
};
const dexCore = await tezos.contract.at(dexCoreAddress);
const operation = await dexCore.methodsObject.claim_interface_fee(parmas).send();

await operation.confirmation();
```

{% endtab %}
{% endtabs %}

### Errors

* `136` - reentrancy.
* `412` - non payable entrypoint (can't accept TEZ tokens during call of an entrypoint).


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.quipuswap.com/smart-contracts/dex-2.0/dexcore-contract/entrypoints-overview/dex-entrypoints/claim_interface_fee.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
